VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ITimingFunction Class Referenceabstract
Version 4.0

Animation timing function interface. More...

Inheritance diagram for ITimingFunction:

## Public Member Functions
virtual | ~ITimingFunction () noexcept=default
virtual float | getPosition (uint32_t milliseconds)=0
virtual bool | isDone (uint32_t milliseconds)=0

## Detailed Description

Animation timing function interface.

## Constructor & Destructor Documentation

virtual ~ITimingFunction | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual float getPosition | ( | uint32_t | milliseconds | ) |
| pure virtual

Implemented in RepeatTimingFunction, CubicBezierTimingFunction, InterpolationTimingFunction, PowerTimingFunction, and LinearTimingFunction.

virtual bool isDone | ( | uint32_t | milliseconds | ) |
| pure virtual

Implemented in RepeatTimingFunction, and TimingFunctionBase.

The documentation for this class was generated from the following file:

- itimingfunction.h